summaryrefslogtreecommitdiffhomepage
path: root/test/scripts/ssh-setup.sh
diff options
context:
space:
mode:
authorMarkus Pettersson <markus.pettersson@mullvad.net>2025-09-30 16:20:27 +0200
committerMarkus Pettersson <markus.pettersson@mullvad.net>2025-10-01 09:52:10 +0200
commit337fc509ee628dc4bcefc2529454734dc3938de3 (patch)
treeadac41fad1d29fe0b3384b12ffc8d41c53f87567 /test/scripts/ssh-setup.sh
parentc6ee5499dd018df519e1e64213e9c1862b725ec4 (diff)
downloadmullvadvpn-337fc509ee628dc4bcefc2529454734dc3938de3.tar.xz
mullvadvpn-337fc509ee628dc4bcefc2529454734dc3938de3.zip
Do not fail hard if Docker can not be installed
Diffstat (limited to 'test/scripts/ssh-setup.sh')
-rw-r--r--test/scripts/ssh-setup.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/test/scripts/ssh-setup.sh b/test/scripts/ssh-setup.sh
index 66809407d8..2d4711f080 100644
--- a/test/scripts/ssh-setup.sh
+++ b/test/scripts/ssh-setup.sh
@@ -140,12 +140,16 @@ function install_packages_apt {
if ! which ping &>/dev/null; then
robust_apt install iputils-ping
fi
+}
+
+function install_docker {
curl -fsSL https://get.docker.com | sh
}
# Install required packages
if which apt &>/dev/null; then
install_packages_apt
+ install_docker || echo "Failed to install docker" # Be a bit lenient on this - If it fails to install, the container tests will simply fail.
elif which dnf &>/dev/null; then
dnf install -y xorg-x11-server-Xvfb wireguard-tools podman
fi